appDefinitions = {"categories": {"simple": ["percentage-app", "tip", "discount", "price-quantity", "percentage-increase-decrease", "convert-fraction-to-percentage"], "business_tools": ["markup", "margin", "margin-and-vat", "margin-sales-tax", "vat", "sales_tax", "compound_interest", "cumulative_growth", "inflation", "doubling_time"]}, "calculators": {"compound_interest": {"iap_android_product_id": "", "conditions": [], "variables": ["initial_balance", "interest_rate", "years", "compound_frequency", "final_balance"], "iframeUrl": "", "customJs": "", "slug": "compound_interest", "args": {"interest_rate": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "interest_rate", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Interest rate", "blocked": false}, "final_balance": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "final_balance", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Final balance", "blocked": false}, "initial_balance": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "initial_balance", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Initial balance", "blocked": false}, "compound_frequency": {"valueSelect": {"items": [{"name": "yearly", "value": "1.000000000000000"}, {"name": "half-yearly", "value": "2.000000000000000"}, {"name": "quarterly", "value": "4.000000000000000"}, {"name": "monthly", "value": "12.000000000000000"}, {"name": "weekly", "value": "52.177500000000000"}, {"name": "daily", "value": "365.242000000000000"}], "name": "compound frequency"}, "dontFormat": false, "textRowBefore": "", "forceInteger": false, "unitsMode": "recalculate", "advanced": false, "default": "1.000000000000000", "help": "How often the interest is added.", "suffix": "", "name": "compound_frequency", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Compound frequency", "blocked": true}, "years": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "years", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Number of years", "blocked": false}}, "help": "", "name": "compound_interest", "units": {"interest_rate": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Compound interest", "equations": [{"locked": ["compound_frequency"], "f": {"interest_rate": "compound_frequency*(pow(final_balance/initial_balance, 1/(compound_frequency*years)) - 1)", "final_balance": "initial_balance*pow((compound_frequency + interest_rate)/compound_frequency, compound_frequency*years)", "initial_balance": "final_balance*pow((compound_frequency + interest_rate)/compound_frequency, -compound_frequency*years)", "years": "log(final_balance/initial_balance)/(compound_frequency*(-log(compound_frequency) + log(compound_frequency + interest_rate)))"}, "name": "compound_frequency-final_balance-initial_balance-interest_rate-years"}], "iap_ios_product_id": ""}, "percentage-app": {"iap_android_product_id": "", "conditions": [], "variables": ["p", "d", "n"], "iframeUrl": "", "customJs": "", "slug": "percentage-app", "args": {"p": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "p", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "", "blocked": false}, "d": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "d", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "of", "blocked": false}, "n": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "n", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "is", "blocked": false}}, "help": "", "name": "percentage-app", "units": {"p": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Simple percentage", "equations": [{"locked": [], "f": {"p": "n/d", "d": "n/p", "n": "d*p"}, "name": "d-n-p"}], "iap_ios_product_id": ""}, "sales_tax": {"iap_android_product_id": "", "conditions": [], "variables": ["tax", "net", "gross", "tax_amount"], "iframeUrl": "", "customJs": "", "slug": "sales_tax", "args": {"net": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "net", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Net price", "blocked": false}, "tax": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "tax", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Sales tax", "blocked": false}, "gross": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "gross", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Gross price", "blocked": false}, "tax_amount": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "tax_amount", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Tax amount", "blocked": false}}, "help": "", "name": "sales_tax", "units": {"tax": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Sales tax", "equations": [{"locked": [], "f": {"net": "gross/(tax + 1)", "tax": "(gross - net)/net", "gross": "net*(tax + 1)"}, "name": "gross-net-tax"}, {"locked": [], "f": {"net": "tax_amount/tax", "tax": "tax_amount/net", "tax_amount": "net*tax"}, "name": "net-tax-tax_amount"}, {"locked": [], "f": {"net": "gross - tax_amount", "gross": "net + tax_amount", "tax_amount": "gross - net"}, "name": "gross-net-tax_amount"}], "iap_ios_product_id": ""}, "convert-fraction-to-percentage": {"iap_android_product_id": "", "conditions": [], "variables": ["numerator", "denominator", "percentage", "perc"], "iframeUrl": "", "customJs": "", "slug": "convert-fraction-to-percentage", "args": {"numerator": {"dontFormat": false, "textRowBefore": "Fraction to percentage", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "numerator", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "", "blocked": false}, "denominator": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "denominator", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "/", "blocked": false}, "percentage": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "percentage", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "is the same as", "blocked": false}, "perc": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "Percentage to fraction", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "perc", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "", "blocked": false}}, "help": "", "name": "convert-fraction-to-percentage", "units": {"percentage": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}], "perc": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Convert fraction to percentage", "equations": [{"locked": ["denominator", "numerator"], "f": {"percentage": "one_way(numerator/denominator)"}, "name": "denominator-numerator-percentage"}], "iap_ios_product_id": ""}, "margin-and-vat": {"iap_android_product_id": "", "conditions": [], "variables": ["vat", "netCost", "grossCost", "margin", "markup", "netRev", "grossRev", "profit"], "iframeUrl": "", "customJs": "", "slug": "margin-and-vat", "args": {"vat": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "vat", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "VAT", "blocked": true}, "profit": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "profit", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Profit", "blocked": false}, "markup": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "markup", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Markup", "blocked": false}, "netCost": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "netCost", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Net cost", "blocked": false}, "grossRev": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "grossRev", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "My gross price", "blocked": false}, "netRev": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "netRev", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "My net price", "blocked": false}, "margin": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "margin", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Margin", "blocked": false}, "grossCost": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "grossCost", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Gross cost", "blocked": false}}, "help": "<p>This calculator is for people who buy and sell stuff. The \"cost\" part is the amount you pay for your goods. The \"my price\" is what you charge your customers. You can quickly calculate anything based on other fields. Examples:<br> * You buy something for $100 and apply a 30% markup - you will find out what amount to charge your customers.<br> * you want to earn $20 when selling something for $100. It will tell you what your cost, markup and profit margin is.</p>", "name": "margin-and-vat", "units": {"margin": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}], "vat": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}], "markup": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Margin and VAT", "equations": [{"locked": [], "f": {"netCost": "grossCost/(vat + 1)", "grossCost": "netCost*(vat + 1)", "vat": "(grossCost - netCost)/netCost"}, "name": "grossCost-netCost-vat"}, {"locked": [], "f": {"netRev": "grossRev/(vat + 1)", "vat": "(grossRev - netRev)/netRev", "grossRev": "netRev*(vat + 1)"}, "name": "grossRev-netRev-vat"}, {"locked": [], "f": {"netCost": "netRev/(markup + 1)", "netRev": "netCost*(markup + 1)", "markup": "(-netCost + netRev)/netCost"}, "name": "markup-netCost-netRev"}, {"locked": [], "f": {"markup": "(-grossCost + grossRev)/grossCost", "grossCost": "grossRev/(markup + 1)", "grossRev": "grossCost*(markup + 1)"}, "name": "grossCost-grossRev-markup"}, {"locked": [], "f": {"netCost": "netRev - profit", "netRev": "netCost + profit", "profit": "-netCost + netRev"}, "name": "netCost-netRev-profit"}, {"locked": [], "f": {"margin": "markup/(markup + 1)", "markup": "-margin/(margin - 1)"}, "name": "margin-markup"}], "iap_ios_product_id": ""}, "markup": {"iap_android_product_id": "", "conditions": [], "variables": ["cost", "markup", "margin", "revenue", "profit"], "iframeUrl": "", "customJs": "", "slug": "markup", "args": {"revenue": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "revenue", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Revenue", "blocked": false}, "cost": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "cost", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Cost", "blocked": false}, "margin": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "margin", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Margin", "blocked": false}, "profit": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "profit", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Profit", "blocked": false}, "markup": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "markup", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Markup", "blocked": false}}, "help": "", "name": "markup", "units": {"margin": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}], "markup": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Markup", "equations": [{"locked": [], "f": {"cost": "revenue/(markup + 1)", "revenue": "cost*(markup + 1)", "markup": "(-cost + revenue)/cost"}, "name": "cost-markup-revenue"}, {"locked": [], "f": {"cost": "-profit + revenue", "revenue": "cost + profit", "profit": "-cost + revenue"}, "name": "cost-profit-revenue"}, {"locked": [], "f": {"margin": "markup/(markup + 1)", "markup": "-margin/(margin - 1)"}, "name": "margin-markup"}, {"locked": [], "f": {"cost": "profit/markup", "profit": "cost*markup", "markup": "profit/cost"}, "name": "cost-markup-profit"}], "iap_ios_product_id": ""}, "vat": {"iap_android_product_id": "", "conditions": [], "variables": ["net", "tax", "gross", "tax_amount"], "iframeUrl": "", "customJs": "", "slug": "vat", "args": {"net": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "net", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Net price", "blocked": false}, "tax": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "tax", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "VAT", "blocked": true}, "gross": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "gross", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Gross price", "blocked": false}, "tax_amount": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "tax_amount", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Tax amount", "blocked": false}}, "help": "", "name": "vat", "units": {"tax": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "VAT", "equations": [{"locked": [], "f": {"net": "gross/(tax + 1)", "tax": "(gross - net)/net", "gross": "net*(tax + 1)"}, "name": "gross-net-tax"}, {"locked": [], "f": {"net": "tax_amount/tax", "tax": "tax_amount/net", "tax_amount": "net*tax"}, "name": "net-tax-tax_amount"}, {"locked": [], "f": {"net": "gross - tax_amount", "gross": "net + tax_amount", "tax_amount": "gross - net"}, "name": "gross-net-tax_amount"}], "iap_ios_product_id": ""}, "doubling_time": {"iap_android_product_id": "", "conditions": [], "variables": ["increase", "doubling_time"], "iframeUrl": "", "customJs": "", "slug": "doubling_time", "args": {"doubling_time": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "periods", "name": "doubling_time", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Doubling t.", "blocked": false}, "increase": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "increase", "blockedPermanently": false, "monetary": false, "suffixEnd": "/period", "label": "Increase", "blocked": false}}, "help": "<p>This calculator tells you how many periods of time it takes for something to grow by 100%, when it grows by x% each period.  For example, if you invest 10 dollars with a yearly return of 5%, you will have 20 dollars after 14.207 years.</p>", "name": "doubling_time", "units": {"increase": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Doubling time", "equations": [{"locked": [], "f": {"doubling_time": "log(2)/log(increase + 1)", "increase": "exp(log(2)/doubling_time) - 1"}, "name": "doubling_time-increase"}], "iap_ios_product_id": ""}, "discount": {"iap_android_product_id": "", "conditions": [], "variables": ["before", "discount", "after", "you_save"], "iframeUrl": "", "customJs": "", "slug": "discount", "args": {"after": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "after", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "After", "blocked": false}, "discount": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "discount", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Discount", "blocked": false}, "before": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "before", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Before", "blocked": false}, "you_save": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "you_save", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "You save", "blocked": false}}, "help": "", "name": "discount", "units": {"discount": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Discount", "equations": [{"locked": [], "f": {"after": "before*(-discount + 1)", "discount": "(-after + before)/before", "before": "-after/(discount - 1)"}, "name": "after-before-discount"}, {"locked": [], "f": {"after": "before - you_save", "before": "after + you_save", "you_save": "-after + before"}, "name": "after-before-you_save"}, {"locked": [], "f": {"discount": "you_save/before", "before": "you_save/discount", "you_save": "before*discount"}, "name": "before-discount-you_save"}], "iap_ios_product_id": ""}, "percentage-increase-decrease": {"iap_android_product_id": "", "conditions": [], "variables": ["percent", "number", "result", "difference"], "iframeUrl": "", "customJs": "", "slug": "percentage-increase-decrease", "args": {"difference": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "difference", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Difference", "blocked": false}, "result": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "result", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "is", "blocked": false}, "number": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "number", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "from", "blocked": false}, "percent": {"dontFormat": false, "unitsDefault": "increase", "textRowBefore": "", "forceInteger": false, "unitsMode": "recalculate", "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "zzz Perc. increase / decrease", "name": "percent", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "", "blocked": false}}, "help": "", "name": "percentage-increase-decrease", "units": {"percent": [{"out": "v", "in": "r", "name": "% increase", "slug": "increase"}, {"out": "-v", "in": "-r", "name": "% decrease", "slug": "decrease"}]}, "customUiJs": "", "fullName": "Percentage increase / decrease", "equations": [{"locked": [], "f": {"result": "(1/100)*number*(percent + 100)", "number": "100*result/(percent + 100)", "percent": "-100 + 100*result/number"}, "name": "number-percent-result"}, {"locked": [], "f": {"difference": "-number + result", "result": "difference + number", "number": "-difference + result"}, "name": "difference-number-result"}], "iap_ios_product_id": ""}, "price-quantity": {"iap_android_product_id": "", "conditions": [], "variables": ["quantity1", "price1", "price_quantity1", "quantity2", "price2", "price_quantity2", "would_have", "save"], "iframeUrl": "", "customJs": "", "slug": "price-quantity", "args": {"quantity2": {"dontFormat": false, "textRowBefore": "Larger product", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "quantity2", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Quantity", "blocked": false}, "price_quantity2": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "name": "price_quantity2", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Price / unit", "blocked": false}, "price_quantity1": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "name": "price_quantity1", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Price / unit", "blocked": false}, "price1": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "price1", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Price", "blocked": false}, "price2": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "price2", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Price", "blocked": false}, "save": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "save", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "You save", "blocked": false}, "quantity1": {"dontFormat": false, "textRowBefore": "Smaller product", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "quantity1", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Quantity", "blocked": false}, "would_have": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "name": "would_have", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Would have cost", "blocked": false}}, "help": "<p>This calculator lets you compare the price of two products that contain different quantities of the same thing. For example, the smaller shampoo has 250ml and costs $5. The larger has 400ml and costs $7. Which one should you get? Thanks to this tool, you know that former costs $0.02 per ml and the latter costs $0.0175 per ml. You would have to pay $8 if you bought the larger one at smaller's price per unit. You save $1 by getting the larger bottle.</p>", "name": "price-quantity", "units": {}, "customUiJs": "", "fullName": "Price / quantity", "equations": [{"locked": [], "f": {"price1": "price_quantity1*quantity1", "quantity1": "price1/price_quantity1", "price_quantity1": "price1/quantity1"}, "name": "price1-price_quantity1-quantity1"}, {"locked": [], "f": {"price2": "price_quantity2*quantity2", "quantity2": "price2/price_quantity2", "price_quantity2": "price2/quantity2"}, "name": "price2-price_quantity2-quantity2"}, {"locked": [], "f": {"would_have": "price_quantity1*quantity2", "quantity2": "would_have/price_quantity1", "price_quantity1": "would_have/quantity2"}, "name": "price_quantity1-quantity2-would_have"}, {"locked": [], "f": {"price2": "-save + would_have", "would_have": "price2 + save", "save": "-price2 + would_have"}, "name": "price2-save-would_have"}], "iap_ios_product_id": ""}, "tip": {"iap_android_product_id": "", "conditions": [], "variables": ["bill", "tip", "tip_amount", "total", "people", "tip_per_person", "total_per_person"], "iframeUrl": "", "customJs": "", "slug": "tip", "args": {"people": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "name": "people", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "# of people", "blocked": false}, "bill": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "bill", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Bill", "blocked": false}, "total_per_person": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "name": "total_per_person", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Total per person", "blocked": false}, "tip_amount": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "tip_amount", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Tip amount", "blocked": false}, "tip_per_person": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "name": "tip_per_person", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Tip per person", "blocked": false}, "tip": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": "15.000000000000000", "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "tip", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Tip", "blocked": false}, "total": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "total", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Total", "blocked": false}}, "help": "<p>The advanced mode lets you split the bill equally with your friends.</p>", "name": "tip", "units": {"tip": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Tip", "equations": [{"locked": [], "f": {"tip": "(-bill + total)/bill", "bill": "total/(tip + 1)", "total": "bill*(tip + 1)"}, "name": "bill-tip-total"}, {"locked": [], "f": {"tip": "tip_amount/bill", "bill": "tip_amount/tip", "tip_amount": "bill*tip"}, "name": "bill-tip-tip_amount"}, {"locked": [], "f": {"bill": "-tip_amount + total", "tip_amount": "-bill + total", "total": "bill + tip_amount"}, "name": "bill-tip_amount-total"}, {"locked": [], "f": {"tip_per_person": "tip_amount/people", "people": "tip_amount/tip_per_person", "tip_amount": "people*tip_per_person"}, "name": "people-tip_amount-tip_per_person"}, {"locked": [], "f": {"people": "total/total_per_person", "total_per_person": "total/people", "total": "people*total_per_person"}, "name": "people-total-total_per_person"}], "iap_ios_product_id": ""}, "margin-sales-tax": {"iap_android_product_id": "", "conditions": [], "variables": ["cost", "margin", "markup", "netRev", "tax", "grossRev", "profit"], "iframeUrl": "", "customJs": "", "slug": "margin-sales-tax", "args": {"tax": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "tax", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Sales tax", "blocked": true}, "profit": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "profit", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Profit", "blocked": false}, "markup": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "markup", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Markup", "blocked": false}, "cost": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "cost", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Cost", "blocked": false}, "grossRev": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "grossRev", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "My gross price", "blocked": false}, "netRev": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "netRev", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "My net price", "blocked": false}, "margin": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "margin", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Margin", "blocked": false}}, "help": "<p>This calculator is for people who buy and sell stuff. The \"cost\" part is the amount you pay for your goods. The \"my price\" is what you charge your customers. You can quickly calculate anything based on other fields. Examples:<br> * You buy something for $100 and apply a 30% markup - you will find out what amount to charge your customers.<br> * you want to earn $20 when selling something for $100. It will tell you what your cost, markup and profit margin is.</p>", "name": "margin-sales-tax", "units": {"tax": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}], "margin": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}], "markup": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Margin and sales tax", "equations": [{"locked": [], "f": {"cost": "netRev/(markup + 1)", "netRev": "cost*(markup + 1)", "markup": "(-cost + netRev)/cost"}, "name": "cost-markup-netRev"}, {"locked": [], "f": {"tax": "(grossRev - netRev)/netRev", "netRev": "grossRev/(tax + 1)", "grossRev": "netRev*(tax + 1)"}, "name": "grossRev-netRev-tax"}, {"locked": [], "f": {"cost": "netRev - profit", "netRev": "cost + profit", "profit": "-cost + netRev"}, "name": "cost-netRev-profit"}, {"locked": [], "f": {"margin": "markup/(markup + 1)", "markup": "-margin/(margin - 1)"}, "name": "margin-markup"}], "iap_ios_product_id": ""}, "margin": {"iap_android_product_id": "", "conditions": [], "variables": ["cost", "margin", "markup", "revenue", "profit"], "iframeUrl": "", "customJs": "", "slug": "margin", "args": {"revenue": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "revenue", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Revenue", "blocked": false}, "cost": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "cost", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Cost", "blocked": false}, "margin": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "margin", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Margin", "blocked": false}, "profit": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "profit", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Profit", "blocked": false}, "markup": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "markup", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Markup", "blocked": false}}, "help": "", "name": "margin", "units": {"margin": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}], "markup": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Margin", "equations": [{"locked": [], "f": {"cost": "revenue/(markup + 1)", "revenue": "cost*(markup + 1)", "markup": "(-cost + revenue)/cost"}, "name": "cost-markup-revenue"}, {"locked": [], "f": {"cost": "-profit + revenue", "revenue": "cost + profit", "profit": "-cost + revenue"}, "name": "cost-profit-revenue"}, {"locked": [], "f": {"margin": "markup/(markup + 1)", "markup": "-margin/(margin - 1)"}, "name": "margin-markup"}, {"locked": [], "f": {"cost": "profit/markup", "profit": "cost*markup", "markup": "profit/cost"}, "name": "cost-markup-profit"}], "iap_ios_product_id": ""}, "inflation": {"iap_android_product_id": "", "conditions": [], "variables": ["inflation", "start_year", "end_year", "initial_value", "final_value", "difference", "total_inflation"], "iframeUrl": "", "customJs": "", "slug": "inflation", "args": {"initial_value": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "initial_value", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Initial price", "blocked": false}, "final_value": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "final_value", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Final price", "blocked": false}, "end_year": {"dontFormat": true, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": "2017.000000000000000", "help": "", "suffix": "", "name": "end_year", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "End year", "blocked": false}, "start_year": {"dontFormat": true, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": "2016.000000000000000", "help": "", "suffix": "", "name": "start_year", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Start year", "blocked": false}, "difference": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "name": "difference", "blockedPermanently": false, "monetary": true, "suffixEnd": "", "label": "Difference", "blocked": false}, "inflation": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "inflation", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Inflation", "blocked": false}, "total_inflation": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "total_inflation", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Total inflation", "blocked": false}}, "help": "", "name": "inflation", "units": {"total_inflation": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}], "inflation": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Inflation", "equations": [{"locked": [], "f": {"inflation": "pow(final_value/initial_value, 1/(end_year - start_year)) - 1", "initial_value": "final_value*pow(inflation + 1, -end_year + start_year)", "start_year": "log(pow(initial_value*pow(inflation + 1, end_year)/final_value, 1/log(inflation + 1)))", "final_value": "initial_value*pow(inflation + 1, end_year - start_year)", "end_year": "log(pow(final_value*pow(inflation + 1, start_year)/initial_value, 1/log(inflation + 1)))"}, "name": "end_year-final_value-inflation-initial_value-start_year"}, {"locked": [], "f": {"initial_value": "-difference + final_value", "difference": "final_value - initial_value", "final_value": "difference + initial_value"}, "name": "difference-final_value-initial_value"}, {"locked": [], "f": {"initial_value": "final_value/(total_inflation + 1)", "total_inflation": "(final_value - initial_value)/initial_value", "final_value": "initial_value*(total_inflation + 1)"}, "name": "final_value-initial_value-total_inflation"}], "iap_ios_product_id": ""}, "cumulative_growth": {"iap_android_product_id": "", "conditions": [], "variables": ["growth_rate", "number_of_periods", "initial_value", "final_value", "difference", "total_growth"], "iframeUrl": "", "customJs": "", "slug": "cumulative_growth", "args": {"initial_value": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "initial_value", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Initial value", "blocked": false}, "growth_rate": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "growth_rate", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Growth rate", "blocked": false}, "final_value": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "final_value", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Final value", "blocked": false}, "number_of_periods": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": false, "default": null, "help": "", "suffix": "", "name": "number_of_periods", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Number of periods", "blocked": false}, "difference": {"dontFormat": false, "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "name": "difference", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Difference", "blocked": false}, "total_growth": {"dontFormat": false, "unitsDefault": "perc", "textRowBefore": "", "forceInteger": false, "advanced": true, "default": null, "help": "", "suffix": "", "unitSwitcherName": "% (transforms the value to percentages)", "name": "total_growth", "blockedPermanently": false, "monetary": false, "suffixEnd": "", "label": "Total growth", "blocked": false}}, "help": "<p>This calculator lets you calculate how much some value increases after a certain amount of time when it grows by a fixed percentage each period. For example, if you have 100 customers and your customer base grows by 20% every month, you will have 144 customers after 2 months.</p>", "name": "cumulative_growth", "units": {"growth_rate": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}], "total_growth": [{"out": "100*v", "in": "(1/100)*r", "name": "%", "slug": "perc"}, {"out": "1000*v", "in": "(1/1000)*r", "name": "\u2030", "slug": "permille"}, {"out": "10000*v", "in": "(1/10000)*r", "name": "\u2031", "slug": "basis-point"}]}, "customUiJs": "", "fullName": "Cumulative growth", "equations": [{"locked": [], "f": {"number_of_periods": "(log(final_value) - log(initial_value))/log(growth_rate + 1)", "initial_value": "final_value*pow(growth_rate + 1, -number_of_periods)", "growth_rate": "pow(final_value/initial_value, 1/number_of_periods) - 1", "final_value": "initial_value*pow(growth_rate + 1, number_of_periods)"}, "name": "final_value-growth_rate-initial_value-number_of_periods"}, {"locked": [], "f": {"initial_value": "-difference + final_value", "difference": "final_value - initial_value", "final_value": "difference + initial_value"}, "name": "difference-final_value-initial_value"}, {"locked": [], "f": {"initial_value": "final_value/(total_growth + 1)", "total_growth": "(final_value - initial_value)/initial_value", "final_value": "initial_value*(total_growth + 1)"}, "name": "final_value-initial_value-total_growth"}], "iap_ios_product_id": ""}}, "iap_product_ids": {"android": [], "ios": []}, "name": "Percentage Calculator", "package": "info.percentagecalculator"}